#include <bits/stdc++.h>
using namespace std;

long long sum,rez,ost;
struct c{
    long long a1,a2,a5;
};
c niz[100];

int main() {
    cin>>sum;
//    cout<<a<<endl
    niz[0].a1=1;
    niz[0].a2=2;
    niz[0].a5=5;
    for(int i=1; i<=18;i++){
        niz[i].a1=1*pow(10,i);
        niz[i].a2=2*pow(10,i);
        niz[i].a5=5*pow(10,i);
        if(i==2 or i==4 or i==7 or i==8 or i==9 or i==14 or i==15 or i==16 or i==17 or i==18){
            niz[i].a1++;
            niz[i].a2++;
            niz[i].a5++;
        }
        //cout<<niz[i].a1<< " "<<niz[i].a2<<" "<<niz[i].a5<<" "<<i<<endl;
    }
    rez+=sum/niz[18].a1;
    ost=sum%niz[18].a1;
    if(ost==0){
        cout<<rez<<endl;
        return 0;
    }
    //cout<<rez<<" "<<ost<<endl;
    for(int i=17;i>=0;i--){
        rez+=ost/niz[i].a5;
        ost=ost%niz[i].a5;
        if(ost==0){
            break;
        }
        rez+=ost/niz[i].a2;
        ost=ost%niz[i].a2;
        if(ost==0){
            break;
        }
        rez+=ost/niz[i].a1;
        if(ost==0){
            break;
        }
        ost=ost%niz[i].a1;
    }
    cout<<rez<<endl;
    return 0;
}